Pod::Spec.new do |s|
  s.name = 'kusoft'
  s.version = '0.1.0'
  s.summary = 'Kusoft native transport for Flutter.'
  s.description = 'Kusoft TLS, protocol, media and call transport.'
  s.homepage = 'https://example.invalid/kusoft'
  s.license = { :type => 'Unspecified' }
  s.author = { 'Kusoft' => 'devnull@example.invalid' }
  s.module_name = 'kusoft_dart'
  s.source = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'FlutterMacOS'
  s.platform = :osx, '10.11'
  s.swift_version = '5.0'
  s.script_phase = {
    :name => 'Build Rust library',
    :script => 'sh "$PODS_TARGET_SRCROOT/../cargokit/build_pod.sh" ../rust kusoft_dart',
    :execution_position => :before_compile,
    :input_files => ['${BUILT_PRODUCTS_DIR}/cargokit_phony'],
    :output_files => ['${PODS_CONFIGURATION_BUILD_DIR}/kusoft_dart/libkusoft_dart.a'],
  }
  s.pod_target_xcconfig = {
    'DEFINES_MODULE' => 'YES',
    'OTHER_LDFLAGS' => '-force_load ${PODS_CONFIGURATION_BUILD_DIR}/kusoft_dart/libkusoft_dart.a',
  }
end
